%define name sqlitebrowser
%define version 1.2.1 
%define release 1

Summary: Design and edit database files compatible with SQLite
Name: %{name}
Version: %{version}
Release: %mkrel %{release}
Source0: http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}-%{version}-src.tar.gz
#Source1: http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}-%{version}-src.tar.gz
License: Public Domain
Group: System/Configuration/Other
Url: http://sqlitebrowser.sourceforge.net/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt3-devel

%description
SQLite Database Browser is a freeware, public domain, open source 
visual tool used to create, design and edit database files compatible 
with SQLite. It is meant to be used for users and developers that want 
to create databases, edit and search data using a familiar 
spreadsheet-like interface, without the need to learn complicated 
SQL commands. Controls and wizards are available for users to:

    * Create and compact database files
    * Create, define, modify and delete tables
    * Create, define and delete indexes
    * Browse, edit, add and delete records
    * Search records
    * Import and export records as text
    * Import and export tables from/to CSV files
    * Import and export databases from/to SQL dump files
    * Issue SQL queries and inspect the results
    * Examine a log of all SQL commands issued by the application


%prep
%setup -q -n %{name}

%build
qmake 
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 %{buildroot}/%{_bindir}
cd sqlitebrowser
cp sqlitebrowser %{buildroot}/%{_bindir}/
mv LICENSING ../

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSING
%{_bindir}/sqlitebrowser

%changelog
* Thu May 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- * Tue May 24 2005 Patrice Ferlet <metal3d@copix.org> 1.2.1-1mdk
  - Initial build
- add missing buildrequires and remove requires
- add url in source
- use mkrel
